Crystal Space: iSkeletonScriptKeyFrame Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSkeletonScriptKeyFrame Struct Reference

The script key frame contains all bones that will be transformed in a specific time of a skeleton script. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonScriptKeyFrame:

[legend]
List of all members.

## Public Member Functions
virtual void | AddTransform (iSkeletonBoneFactory *bone, csReversibleTransform &transform, bool relative=false)=0
| Add new bone transform to the key frame.
virtual csTicks | GetDuration ()=0
| Get key frame duration.
virtual void | GetKeyFrameData (iSkeletonBoneFactory *bone_fact, csQuaternion &rot, csVector3 &pos, csQuaternion &tangent, bool &relative)=0
| Get key frame specific data.
virtual const char * | GetName () const =0
| Get name of the key frame.
virtual csReversibleTransform & | GetTransform (iSkeletonBoneFactory *bone)=0
| Get the transform of a bone.
virtual size_t | GetTransformsCount ()=0
| Get number of key transforms.
virtual void | SetDuration (csTicks time)=0
| Set key frame duration.
virtual void | SetName (const char *name)=0
| Set name of the key frame.
virtual void | SetTransform (iSkeletonBoneFactory *bone, csReversibleTransform &transform)=0
| Set the transform of a bone.

## Detailed Description

The script key frame contains all bones that will be transformed in a specific time of a skeleton script.

Definition at line 175 of file skeleton.h.

## Member Function Documentation

virtual void iSkeletonScriptKeyFrame::AddTransform | ( | iSkeletonBoneFactory * | bone,
|  | csReversibleTransform & | transform,
|  | bool | relative = `false` |
| ) |  |  | `[pure virtual]`

Add new bone transform to the key frame.

virtual csTicks iSkeletonScriptKeyFrame::GetDuration | ( |  | ) | `[pure virtual]`

Get key frame duration.

virtual void iSkeletonScriptKeyFrame::GetKeyFrameData | ( | iSkeletonBoneFactory * | bone_fact,
|  | csQuaternion & | rot,
|  | csVector3 & | pos,
|  | csQuaternion & | tangent,
|  | bool & | relative |
| ) |  |  | `[pure virtual]`

Get key frame specific data.

virtual const char* iSkeletonScriptKeyFrame::GetName | ( |  | ) | const`[pure virtual]`

Get name of the key frame.

virtual csReversibleTransform& iSkeletonScriptKeyFrame::GetTransform | ( | iSkeletonBoneFactory * | bone | ) | `[pure virtual]`

Get the transform of a bone.

virtual size_t iSkeletonScriptKeyFrame::GetTransformsCount | ( |  | ) | `[pure virtual]`

Get number of key transforms.

virtual void iSkeletonScriptKeyFrame::SetDuration | ( | csTicks | time | ) | `[pure virtual]`

Set key frame duration.

virtual void iSkeletonScriptKeyFrame::SetName | ( | const char * | name | ) | `[pure virtual]`

Set name of the key frame.

virtual void iSkeletonScriptKeyFrame::SetTransform | ( | iSkeletonBoneFactory * | bone,
|  | csReversibleTransform & | transform |
| ) |  |  | `[pure virtual]`

Set the transform of a bone.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h